owncloud (7.0.0~rc3+dfsg-1) experimental; urgency=medium

  [ David Prévot ]
  * Depend on php-mssql-bundle instead of the embeded class

  [ Frank Karlitschek ]
  * 7.0.0 RC3

 -- David Prévot <taffit@debian.org>  Fri, 18 Jul 2014 10:14:59 -0400

owncloud (7.0.0~rc2+dfsg-1) experimental; urgency=medium

  [ David Prévot ]
  * Use embedded jQuery instead of the packaged one (Closes: #750772)
    Contacts needs a more recent version than the packaged one

  [ Frank Karlitschek ]
  * 7RC2

 -- David Prévot <taffit@debian.org>  Mon, 14 Jul 2014 12:40:25 -0400

owncloud (7.0.0~rc1+dfsg-1) experimental; urgency=medium

  [ Jörn Friedrich Dreyer ]
  * move swift and abstract code to core

  [ Robin Appelman ]
  * Add support for rackspace swift backends

  [ Frank Karlitschek ]
  * 7RC1

  [ David Prévot ]
  * Update packaging
  * Depend on zendframework again (lucene search is back)

 -- David Prévot <taffit@debian.org>  Thu, 03 Jul 2014 22:46:19 -0400

owncloud (7.0.0~beta1+dfsg-1) experimental; urgency=medium

  [ Frank Karlitschek ]
  * 7.0 beta 1

  [ David Prévot ]
  * Watch testing version
  * Update php-opencloud dependency
  * Update copyright

 -- David Prévot <taffit@debian.org>  Thu, 26 Jun 2014 18:43:44 -0400

owncloud (7.0.0~alpha2+dfsg-1) experimental; urgency=medium

  [ Joas Schilling ]
  * Reduce size of png files so they match the svg

  [ Frank Karlitschek ]
  * 7.0.0 alpha 2

  [ David Prévot ]
  * Remove images embedding a non free ICC profile

 -- David Prévot <taffit@debian.org>  Sat, 21 Jun 2014 20:01:54 -0400

owncloud (7.0.0~alpha1+dfsg-2) experimental; urgency=medium

  * Depend on php-doctrine-dbal

 -- David Prévot <taffit@debian.org>  Sun, 15 Jun 2014 13:22:12 -0400

owncloud (7.0.0~alpha1+dfsg-1) experimental; urgency=medium

  [ Frank Karlitschek ]
  * increase to 7.0 alpha 1

  [ Thomas Müller ]
  * use phpseclib from 3rdparty
  * rename class Crypt_Blowfish to Legacy_Crypt_Blowfish
  * Upgrade SabreDAV to 1.8.10 Updating SabreDAV namespaces

  [ David Prévot ]
  * Add an assets directory for Assetic, and depend on php-assetic
  * Update packaging to latest upstream version
  * Bump php-crypt-blowfish version
  * Ship embedded libjs-jquery-ui copy again

 -- David Prévot <taffit@debian.org>  Wed, 11 Jun 2014 15:15:23 -0400

owncloud (7~20140531+dfsg-1) experimental; urgency=medium

  * Update excluded files
  * Update copyright
  * Require phpmailer from autoload
  * Restrict php-pimple version
  * Drop now useless minimal version for php-aws-sdk and libjs-pdf

 -- David Prévot <taffit@debian.org>  Sun, 01 Jun 2014 12:22:22 -0400

owncloud (7~20140525+dfsg-1) experimental; urgency=medium

  * Revert "Ship embedded libjs-jquery-ui copy"
  * Restrict php-opencloud version
  * Remove photos embedding a non free ICC profile
  * Depend on php-pimple instead of the embeded class

 -- David Prévot <taffit@debian.org>  Mon, 26 May 2014 22:43:31 -0400

owncloud (7~20140518+dfsg-1) experimental; urgency=medium

  * Raise php5 minimal dependency version
  * Use Files-Excluded feature instead of homemade repack
  * Strip away unused files with non-free ICC profiles, and copyrighted
    ICC profiles
  * Document repack
  * Remove tests directory from core/js
  * Drop now useless libjs-sinon dependency

 -- David Prévot <taffit@debian.org>  Sun, 18 May 2014 15:12:53 -0400

owncloud (7~20140509+dfsg-1) experimental; urgency=medium

  * Drop php-services-json and liboauth-php
  * Document recommendations (Closes: #747130)
  * Really disable Assetic

 -- David Prévot <taffit@debian.org>  Sat, 10 May 2014 11:59:09 -0400

owncloud (7~20140504+dfsg-1) experimental; urgency=medium

  [ Thomas Müller ]
  * map transifex language ja_JP to ja
    (Closes: #739584)

  [ Frank Karlitschek ]
  * master is ownCloud 7 pre alpha now

  [ David Prévot ]
  * Track the upcoming 7.0 release, and upload to experimental
  * Refresh patches
  * Update package to new version:
    - Update copyright
    - Added dependencies:
      + libjs-sinon
      + libjs-underscore
      + php-symfony-classloader
    - Removed dependencies:
      + mediawiki-classes | mediawiki
      + php-irods-prods
      + php-xml-parser
      + zendframework
  * Add homemade autoload.php: Work around the lack of proper autoload.php
    from composer by using the ClassLoader element from Symfony.
  * Update htaccess to latest upstream version
  * Remove pre-6.0.0 upgrade maintscripts
  * Disable Assetic

 -- David Prévot <taffit@debian.org>  Mon, 05 May 2014 12:04:46 -0400

owncloud (6.0.3+dfsg-2) unstable; urgency=medium

  * Upload to unstable

 -- David Prévot <taffit@debian.org>  Tue, 29 Apr 2014 14:33:03 -0400

owncloud (6.0.3+dfsg-1) experimental; urgency=medium

  [ Frank Karlitschek ]
  * 6.0.3

  [ David Prévot ]
  * Adapt repack to PHPDocX and dompdf removal
  * Adapt packaging to dropped office fallback
  * Depend on recent libjs-pdf (path change)

 -- David Prévot <taffit@debian.org>  Mon, 28 Apr 2014 23:14:35 -0400

owncloud (6.0.3~rc1+dfsg-1) experimental; urgency=medium

  [ Frank Karlitschek ]
  * 6.0.3 RC1

  [ David Prévot ]
  * Add missing fonts used @font-face
    - Added dependencies:
      + fonts-sil-gentium-basic
      + fonts-liberation
      + fonts-linuxlibertine
      + fonts-lohit-deva
      + fonts-wqy-microhei
  * Fix php-opencloud path patch
  * Update disabled appstore patch
  * Refresh patches

 -- David Prévot <taffit@debian.org>  Wed, 23 Apr 2014 14:05:38 -0400

owncloud (6.0.3~20140418+dfsg-1) experimental; urgency=medium

  * Upload to experimental since it’s a daily build.
  * Test if confile exists before calling {en,dis}conf (Closes: #742174)
  * debian/control:
    - Depend on recent libjs-pdf
    - Drop now useless version for owncloud-doc
  * Update copyright
  * debian/links: Use pdf.worker.js from PDF.js
  * Refresh patches
  * Update lintian overrides

 -- David Prévot <taffit@debian.org>  Fri, 18 Apr 2014 17:20:45 -0400

owncloud (6.0.2+dfsg-1) unstable; urgency=medium

  [ Frank Karlitschek ]
  * 6.0.2

  [ David Prévot ]
  * Drop patch included upstream
  * Update upstream changelog
  * Upload stable version to unstable

 -- David Prévot <taffit@debian.org>  Fri, 07 Mar 2014 10:17:55 -0300

owncloud (6.0.2~rc1+dfsg-1) experimental; urgency=medium

  [ Frank Karlitschek ]
  * 6.0.2 RC1

  [ David Prévot ]
  * Move signing-key.pgp to its new location
  * Store the armored version of the keyring
  * Update exclusion list
  * Update upstream changelog, moved under d/upstream
  * Upload to experimental since it’s a RC.

 -- David Prévot <taffit@debian.org>  Wed, 26 Feb 2014 11:13:18 -0400

owncloud (6.0.1+dfsg-1) unstable; urgency=low

  [ Frank Karlitschek ]
  * 6.0.1

  [ David Prévot ]
  * Drop allegedly sourceless Flash and Silverlight (Closes: #736109)
  * Drop curl from Recommends
  * Suggest SQL servers as alternatives
  * Update upstream changelog
  * Upload version 6 to unstable, and set urgency to low

 -- David Prévot <taffit@debian.org>  Wed, 22 Jan 2014 14:48:09 -0400

owncloud (6.0.1~rc1+dfsg-1) experimental; urgency=medium

  [ Frank Karlitschek ]
  * clarifying license
  * 6.0.1 RC1

  [ Bjoern Schiessle ]
  * reliable detect encrypted files
  * don't unshare on delete
  * copy files to owner trash recursively

  [ Andreas Fischer ]
  * Backport of PR #4378: Don't use xcache in case admin auth is enabled.

  [ Jörn Friedrich Dreyer ]
  * remove duplicate exe mimetype, add correct msi mimetype

  [ Oliver Gasser ]
  * DB: Support DECIMAL(precision,scale) syntax in XML

  [ Vincent Petry ]
  * Added workaround for Android content disposition
  * Fixed timezone issue with SMB storage

  [ Thomas Müller ]
  * turn off mod_pagespeed

  [ Arthur Schiwon ]
  * Add command line tool to show numbers of users and user directories

  [ Georg Ehrke ]
  * fix preview for reshared file

  [ David Prévot ]
  * Adapt to aws-sdk new path
  * Disable Flash and Silverlight plugins
  * Alternative dependency on mediawiki
  * Fix X-EVOLUTION-FILE-AS escape, thanks to Simon McVittie (Closes: #735112)
  * Update upstream changelog
  * Update copyright
  * Minify jquery.masonry.min.js at build time

 -- David Prévot <taffit@debian.org>  Sat, 18 Jan 2014 08:41:26 -0400

owncloud (6.0.0.a+dfsg-1) experimental; urgency=medium

  [ Frank Karlitschek ]
  * 6.0.0a

  [ David Prévot ]
  * Update upstream changelog
  * Update dependencies following the documentation
  * Adapt to removed openid, fullcalendar and smb4php

 -- David Prévot <taffit@debian.org>  Sat, 14 Dec 2013 20:23:08 -0400

owncloud (6.0.0+dfsg-1) experimental; urgency=medium

  [ Frank Karlitschek ]
  * 6.0.0

 -- David Prévot <taffit@debian.org>  Tue, 10 Dec 2013 12:38:52 -0400

owncloud (6.0.0~rc4+dfsg-1) experimental; urgency=medium

  [ David Prévot ]
  * Clean up pre-5.0.8+dfsg-2 handling

  [ Frank Karlitschek ]
  * RC4

 -- David Prévot <taffit@debian.org>  Fri, 06 Dec 2013 21:58:30 -0400

owncloud (6.0.0~rc3+dfsg-1) experimental; urgency=medium

  [ Frank Karlitschek ]
  * lower required php version to 5.3.3
  * ownCloud 6 RC3

  [ David Prévot ]
  * Update JAMA and webodf copyright
  * Revert "Bump php5 minimal version"

 -- David Prévot <taffit@debian.org>  Thu, 05 Dec 2013 10:51:24 -0400

owncloud (6.0.0~rc2+dfsg-1) experimental; urgency=low

  [ Frank Karlitschek ]
  * make 5.3.8 the minimum supported version
  * ownCloud 6 RC2

  [ David Prévot ]
  * Depend on libjs-jcrop instead of using embedded copy
  * Bump php5 minimal version

 -- David Prévot <taffit@debian.org>  Sun, 01 Dec 2013 21:12:59 -0400

owncloud (6.0.0~rc1+dfsg-1) experimental; urgency=low

  [ Frank Karlitschek ]
  * ownCloud 6 RC1

  [ David Prévot ]
  * Factorize copyright
  * Recommend libreoffice and php5-imagick for thumbnails
  * Adapt to current version handling

 -- David Prévot <taffit@debian.org>  Fri, 29 Nov 2013 22:01:53 -0400

owncloud (6.0.0~beta5+dfsg-1) experimental; urgency=low

  * Imported Upstream version 6.0.0~beta5+dfsg
  * Fix fonts-font-awesome symlink (Closes: #729811)
  * Get rid of owncloud-{mysql,pgsql,sqlite}
  * Move fullcalendar to apps/calendar
  * Recommend libav-tools for video thumbnails

 -- David Prévot <taffit@debian.org>  Wed, 20 Nov 2013 16:38:21 -0400

owncloud (6.0.0~beta4+dfsg-1) experimental; urgency=low

  * Imported Upstream version 6.0.0~beta4+dfsg
  * Fix Sabre version dependency, avoiding upcoming php-sabre-vobject (>= 3)
  * Depend on packages needed by core and default apps: Packages needed by
    apps that are not enable by default are demoted to Recommends, and
    vice-versa
  * Enable documents app back

 -- David Prévot <taffit@debian.org>  Wed, 13 Nov 2013 17:32:20 -0400

owncloud (6.0.0~beta3+dfsg-1) experimental; urgency=low

  * Imported Upstream version 6.0.0~beta3+dfsg
    - Update repack script
    - Add external source for jquery-migrate-1.2.1
    - Adapt to updated major upstream release
    - Refresh patches
    - Adapt to MDB2 now gone
    - Disable documents app
  * Depend on libjs-dojo-core, libjs-dojo-dijit, libjs-dojo-dojox,
    libphp-pclzip, php-doctrine-common, php-dompdf, php-dropbox,
    php-opencloud, php-phpdocx and php-symfony-console instead of using
    embedded copies.
  * Handle patches with gbp pq
  * Verify GPG signature on download

 -- David Prévot <taffit@debian.org>  Mon, 11 Nov 2013 12:26:24 -0400

owncloud (5.0.13+dfsg-1) unstable; urgency=low

  * Imported Upstream version 5.0.13+dfsg
  * Update upstream changelog
  * Remove now useless versionning for fonts-font-awesome

 -- David Prévot <taffit@debian.org>  Tue, 05 Nov 2013 17:02:19 -0400

owncloud (5.0.13~rc1+dfsg-1) experimental; urgency=low

  * Simplify fonts-font-awesome handling
  * Imported Upstream version 5.0.13~rc1+dfsg
  * Update rules
  * Refresh patches
  * Bump standards version to 3.9.5

 -- David Prévot <taffit@debian.org>  Thu, 31 Oct 2013 23:34:11 -0400

owncloud (5.0.12+dfsg-1) unstable; urgency=low

  * Imported Upstream version 5.0.12+dfsg

 -- David Prévot <taffit@debian.org>  Fri, 04 Oct 2013 17:58:21 -0400

owncloud (5.0.12~rc1+dfsg-1) experimental; urgency=low

  * Imported Upstream version 5.0.12~rc1+dfsg (Closes: #721645)
  * Ship embedded libjs-jquery-ui copy (Closes: #718915)
  * Depend on php-google-api-php-client instead of using embedded copy
  * Fix path in last patches
  * Use CSS provided by the latest fonts-font-awesome

 -- David Prévot <taffit@debian.org>  Fri, 27 Sep 2013 19:01:36 -0400

owncloud (5.0.11+dfsg-1) unstable; urgency=low

  * Imported Upstream version 5.0.11+dfsg
  * Depend on php-patchwork-utf8 and php-irods-prods instead of using embedded
    copies (Closes: #722213)

 -- David Prévot <taffit@debian.org>  Mon, 09 Sep 2013 18:24:18 -0400

owncloud (5.0.11~rc2+dfsg-1) experimental; urgency=low

  * Imported Upstream version 5.0.11~rc2+dfsg
  * Adapt to embedded Google APIs Client Library
  * Use certificates from ca-certificates
  * Make occ script executable

 -- David Prévot <taffit@debian.org>  Wed, 04 Sep 2013 17:32:53 -0400

owncloud (5.0.10+dfsg-1) unstable; urgency=low

  * New upstream release:
    - Include embedded Patchwork UTF-8
    - Adapt to embedded iRODS PHP
  * Use upstream patched version of PostgreSQL backend (Closes: #717579)
  * Remove log files on purge (Closes: #717802)
  * Depend on libjs-chosen, libjs-jquery-fancybox, libjs-jquery-mousewheel,
    and php-symfony-routing instead of using embedded copies
  * Use uglifyjs instead of yui-compressor

 -- David Prévot <taffit@debian.org>  Sat, 31 Aug 2013 18:52:39 -0400

owncloud (5.0.9+dfsg-2) unstable; urgency=low

  * Release to unstable since 5.0.8 reached testing.

 -- David Prévot <taffit@debian.org>  Sun, 21 Jul 2013 10:34:48 -0400

owncloud (5.0.9+dfsg-1) experimental; urgency=low

  * New upstream release
  * Improve logfile handling (Closes: #715484):
    - Define default logfile in /var/log/owncloud.log
    - Existing logfile is moved to /var/log/owncloud.log in default setup
      (i.e. if it was in /var/lib/owncloud/data/owncloud.log)
  * Get rid of path patch
  * Add upstream changelog

 -- David Prévot <taffit@debian.org>  Mon, 15 Jul 2013 22:20:32 -0400

owncloud (5.0.8+dfsg-2) unstable; urgency=low

  * Release to unstable since the 4.0 branch is now EOL, and there are
    security issues.

 -- David Prévot <taffit@debian.org>  Wed, 10 Jul 2013 18:55:45 -0400

owncloud (5.0.8+dfsg-1) experimental; urgency=low

  * New upstream release:
    - Fix XSS vulnerability in “Share Interface” (oC-SA-2013-029)
    - Fix Authentication bypass in “user_webdavauth” (oC-SA-2013-030)
  * Update copyright:
    - Refresh to current version
    - Refer to Apache-2.0 from /usr/share/common-licenses
  * Remove optional files with uncertain licenses (Closes: #692627)
  * Remove unused tests directories
  * debian/control:
    - Add self to Uploaders
    - Force version 1 of php-aws-sdk
    - Depend on libjs-jquery-minicolors
    - Recommend curl, php5-intl and smbclient (Closes: #715282)

 -- David Prévot <taffit@debian.org>  Wed, 10 Jul 2013 13:15:07 -0400

owncloud (5.0.7+dfsg-2) experimental; urgency=low

  * Team upload

  [ Prach Pongpanich ]
  * Add missing dependency on php5-json
  * Update for Apache 2.4 transition (Closes: #711894)

  [ David Prévot ]
  * Force version 1.7 of php-sabre-dav
  * Add back experimental PostgreSQL support (Closes: #679028)

 -- David Prévot <taffit@debian.org>  Mon, 24 Jun 2013 18:01:56 -0400

owncloud (5.0.7+dfsg-1) experimental; urgency=low

  * Team upload
  * New upstream release
    + Fix multiple XSS vulnerabilities (oC-SA-2013-028):
      - CVE-2013-2149: in core/js/oc-dialogs.js (Closes: #711517)
      - CVE-2013-2150: in js/viewer.js (Closes: #711518)

 -- David Prévot <taffit@debian.org>  Fri, 07 Jun 2013 11:56:17 -0400

owncloud (5.0.7~rc1+dfsg-2) experimental; urgency=low

  * Team upload
  * debian/patches/fix_crypt_blowfish.diff: Adapt Crypt_Blowfish path

 -- David Prévot <taffit@debian.org>  Tue, 04 Jun 2013 11:35:20 -0400

owncloud (5.0.7~rc1+dfsg-1) experimental; urgency=low

  * Team upload
  * New upstream release, including files_encryption
  * debian/repack.sh: Adapt to 3rdparty/Crypt_Blowfish new path
  * debian/{copyright,rules}: Adapt to files_encryption come back
  * debian/patch: Refresh

 -- David Prévot <taffit@debian.org>  Mon, 03 Jun 2013 15:22:57 -0400

owncloud (5.0.6+dfsg-1) experimental; urgency=low

  * Team upload
  * New upstream release
  * debian/patch: Drop fix upgrade to 5.0.6 RC2, included upstream

 -- David Prévot <taffit@debian.org>  Tue, 14 May 2013 10:57:41 -0400

owncloud (5.0.6~rc2+dfsg-1) experimental; urgency=low

  * Team upload
  * New upstream release
  * Depend on libjs-jquery-timepicker (Closes: #693887)
  * debian/patch: Fix upgrade to 5.0.6 RC2

 -- David Prévot <taffit@debian.org>  Mon, 13 May 2013 12:19:56 -0400

owncloud (5.0.6~rc1+dfsg-1) experimental; urgency=low

  * Team upload
  * New upstream release
  * debian/control:
    - Depend on fonts-font-awesome, libjs-pdf, owncloud-doc, php-aws-sdk, and
      php-seclib
    - Drop now useless depend on ca-certificates, libjs-sphinxdoc,
      libjs-twitter-bootstrap, and libjs-underscore
  * debian/owncloud.install, debian/owncloud.links, debian/patches,
    debian/postinst, debian/rules: Adapt to updated dependencies

 -- David Prévot <taffit@debian.org>  Mon, 06 May 2013 21:45:34 -0400

owncloud (5.0.5~rc1+dfsg-1) experimental; urgency=low

  * Team upload
  * Adapt upcoming owncloud-doc improvements
  * debian/control: 
    - Bump Standards-Version to 3.9.4
    - Drop now useless DMUA
    - Suggest libapache2-mod-xsendfile
  * debian/patches/01_fix_data_path.diff: Fix more path occurrences
  * debian/rules:
    - Keep core/doc/*/_sources, actually used by the search
    - dh_link removes existing files
  * debian/watch: Make all latest versions available

 -- David Prévot <taffit@debian.org>  Wed, 17 Apr 2013 21:25:59 -0400

owncloud (5.0.4+dfsg-1) experimental; urgency=low

  * Team upload
  * New upstream release

 -- David Prévot <taffit@debian.org>  Wed, 10 Apr 2013 16:05:29 -0400

owncloud (5.0.4~rc1+dfsg-1) experimental; urgency=low

  * Team upload
  * New upstream release candidate
  * debian/control:
    - Depends on ca-certificates
    - Use canonical Vcs- fields
  * debian/copyright: Update 3rdparty/aws-sdk and BSD-3-clause-SabreDAV
  * debian/owncloud.links: Use local CA certificates instead of embedded ones
  * debian/patches/: Refresh patches
  * debian/rules: Add a get-orig-source target

 -- David Prévot <taffit@debian.org>  Wed, 10 Apr 2013 10:13:17 -0400

owncloud (5.0.3+dfsg-1) experimental; urgency=low

  * Team upload
  * New upstream release (closes: #691839)

  [ David Prévot ]
  * debian/watch: Update to current upstream URL and Debian version
  * debian/control:
    - Add php-services-json and liboauth-php to Recommends for Dropbox-php
    - Add clamav or clamav-daemon to Recommends for Owncloud Antivirus App
    - Add zendframework to Recommends for Full Text Search
    - Add php5-ldap to Recommends for user_ldap
    - Add mediawiki to Depends, instead of shipping duplicated code
    - Add libjs-underscore to Depends, instead of shipping duplicated code
    - Update dependency to php-sabre-dav and php-sabre-vobject, instead of
      php-sabredav
  * debian/copyright: Document the new and updated licenses
  * debian/rules:
    - Trim duplicated and useless files from the package
    - Minify JavaScript and keep their source
    - Remove the Updater app since upgrade must be made via the package
  * debian/repack.sh:
    - Remove incompatible docs from Font Awesome
    - Remove incompatible PDF from pdfjs
    - Remove sourceless JavaScript
    - Adapt to updated JQuery UI version
  * debian/patches/:
    - Refresh existing patches
    - Drop unneeded patches
    - fix_mediawiki.diff: Adapt path to mediawi’s classes
    - fix_upgrade.diff: Fix upgrade issue from 4.0.8
    - fix_displayed_version.diff: Fix displayed version
  * debian/owncloud.links:
    - Link to Zend Framework instead of embedding a partial copy
    - Adapt to updated JQuery UI version
    - Adapt to libjs-underscore
  * debian/owncloud.install: Update 3dparty list
  * Add back experimental feature files_external
  * debian/owncloud.README.Debian: Update and provide upgrade advices
  * debian/owncloud.NEWS: Point to README for upgrade

 -- David Prévot <taffit@debian.org>  Sat, 06 Apr 2013 10:37:28 -0400

owncloud (4.0.8debian-1.6) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "multiple vulnerabilities (oC-SA-2013-009, oC-SA-2013-010)":
    add patches taken from upstream git:
    + debian/patches/16_oc-sa-2013-010.patch
      CVE-2013-1851: user_migrate: Local file disclosure
      oC-SA-2013-010, commit edf7162 in stable4 branch
    + debian/patches/17_oc-sa-2013-009.patch
      CVE-2013-1850: Contacts: Bypass of file blacklist
      oC-SA-2013-009, commit fae5bd3 in stable4 branch
    (Closes: #703094)

 -- gregor herrmann <gregoa@debian.org>  Tue, 19 Mar 2013 17:05:08 +0100

owncloud (4.0.8debian-1.5) unstable; urgency=low

  * Non-maintainer upload.
  * Multiple security fixes (Closes: #701115): 
    + debian/patches/13_oc-sa-2013-003.patch:
      - CVE-2013-0297 and CVE-2013-0307: XSS vulnerability
    + debian/patches/14_oc-sa-2013-004.patch: 
      - CVE-2013-0299 and CVE-2013-0301: Multiple CSRF vulnerabilities
    + debian/patches/15_oc-sa-2013-006.patch:
      - CVE-2013-0303: Multiple code executions

 -- Prach Pongpanich <prachpub@gmail.com>  Wed, 27 Feb 2013 11:38:52 +0700

owncloud (4.0.8debian-1.4) unstable; urgency=high

  * Non-maintainer upload.
  * Add 12_oc-sa-2013-001.patch patch
    [SECURITY] CVE-2012-0201, CVE-2012-0202 and CVE-2012-0203: Fix multiple
    XSS vulnerabilities. (Closes: #698737)

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 25 Jan 2013 21:36:15 +0100

owncloud (4.0.8debian-1.3) unstable; urgency=high

  * Non-maintainer upload.
  * Multiple security fixes (Closes: #696574):
    + debian/patches/10_oc-sa-2012-006.patch:
      - CVE-2012-5665: Auth bypass in user_webdavauth and user_ldap
    + debian/patches/11_oc-sa-2012-007.patch:
      - CVE-2012-5666: XSS vulnerability in bookmarks

 -- Luca Falavigna <dktrkranz@debian.org>  Fri, 28 Dec 2012 20:20:56 +0100

owncloud (4.0.8debian-1.2) unstable; urgency=high

  * Non-maintainer upload.
  * debian/patches/06_oc-sa-2012-001.patch: Include escapeHTML() function.

 -- Michael Banck <mbanck@debian.org>  Wed, 05 Dec 2012 21:31:39 +0100

owncloud (4.0.8debian-1.1) unstable; urgency=high

  * Non-maintainer upload, fixes several security issues (Closes: #693990).
  * debian/patches/06_oc-sa-2012-001.patch: Fix multiple XSS vulnerabilities.
  * debian/patches/07_oc-sa-2012-002.patch: Fix timing attack.
  * debian/patches/08_oc-sa-2012-004.patch: Fix code execution in migrate.php.
  * debian/patches/09_oc-sa-2012-005.patch: Fix code execution in
    filesystem.php.

 -- Michael Banck <mbanck@debian.org>  Sun, 25 Nov 2012 12:26:01 +0100

owncloud (4.0.8debian-1) unstable; urgency=low

  * New upstream bugfix release
  * debian/patches:
    - Adjust 05_no_app_store.diff

 -- Thomas Mueller <thomas.mueller@tmit.eu>  Thu, 11 Oct 2012 14:44:57 +0200

owncloud (4.0.7debian-1) unstable; urgency=low

  * New upstream bugfix release
  * debian/patches:
    - Removed patch fix_writing_to_shared_readonly.diff
  * debian/repack.sh:
    - Remove experimental feature 'files_external'

 -- Thomas Mueller <thomas.mueller@tmit.eu>  Wed, 15 Aug 2012 13:33:19 +0200

owncloud (4.0.5debian2-2) unstable; urgency=high

  * debian/patches:
    - Added fix_writing_to_shared_readonly.diff to fix WebDAV write access to 
      shared files (Closes: #684426)
  * debian/rules:
    - Remove experimental feature 'files_external'

 -- Thomas Mueller <thomas.mueller@tmit.eu>  Thu, 09 Aug 2012 23:29:25 +0200

owncloud (4.0.5debian2-1) unstable; urgency=low

  * debian/repack.sh:
    - Removed sourceless minified JavaScript files core/js/jquery-1.7.2.min.js
      and core/js/jquery-ui-1.8.16.custom.min.js (closes: #683395)
    - Removed 3rdparty/Console/Getopt.php and 3rdparty/Crypt_Blowfish
      (closes: #683397)
  * debian/copyright: 
    - Inserted full text of CC-BY-3.0 (closes: #683396)
    - Removed PHP-3 license (closes: #683397)

 -- Thomas Mueller <thomas.mueller@tmit.eu>  Tue, 31 Jul 2012 23:42:23 +0200

owncloud (4.0.5debian-1) unstable; urgency=low

  * New upstream bugfix release (closes: #681138, #681169)

 -- Thomas Mueller <thomas.mueller@tmit.eu>  Thu, 19 Jul 2012 13:04:28 +0200

owncloud (4.0.4debian-1) unstable; urgency=medium

  * New upstream bugfix release; solve major issues with caching
    (closes: #678956).
  * By own admission, upstream does not believe the PostgreSQL-support
    to be stable/solid; dropping owncloud-pgsql for Wheezy.  (See also:
    http://mail.kde.org/pipermail/owncloud/2012-June/004118.html).

 -- Paul van Tilburg <paulvt@debian.org>  Fri, 29 Jun 2012 22:14:50 +0200 

owncloud (4.0.3debian-1) unstable; urgency=medium

  * New upstream bugfix release.
  * debian/config/lighttpd, debian/owncloud.examples:  add and install
    lighttpd example config file.
  * debian/patches:
    - Updated 05_no_app_store.diff for new upstream and also to also take
      the new "writable_appsdir" option into account.

 -- Paul van Tilburg <paulvt@debian.org>  Sat, 23 Jun 2012 09:27:50 +0200

owncloud (4.0.2debian-1) unstable; urgency=high

  * New upstream bugfix release.
  * debian/postinst:
    - Check whether a2enmod and apache2ctl are available (as apache2 need
      not be installed) (closes: #676319).
    - Ensure that the ownership of permissions of /etc/owncloud/config.php
      and /etc/owncloud/htaccess are correct.
  * debian/patches:
    - Added fix_tar_require.diff to make the require path
      not point to 3rdparty/ so that Archive/Tar.php from php-pear is used
      (closes: #677159).
    - Added fix_sabre_requires.diff to fix the require path for Sabre as well.
    - Added fix_config.php_mode.diff to ensure that the generated configuration
      is not world-readable (closes: #676131)
    - Updated 01_fix_data_path.diff for the new, real location of the
      config (/etc/owncloud).
    - Updated 05_no_app_store.diff to set the "appstoreenabled" default in
      the source (and configuration example) universally to "false".
  * debian/rules, debian/owncloud.install, debian/owncloud.links,
    debian/owncloud.README.Debian, debian/config/:
    Install stuff to /usr/share/owncloud and link data, backup, themes and
    configuration dirs instead of the other way around (closes: #676600).
  * debian/watch: updated to use the new releases page.

 -- Paul van Tilburg <paulvt@debian.org>  Sun, 17 Jun 2012 14:03:35 +0200

owncloud (4.0.1debian-2) unstable; urgency=low

  * Upload to fix PostgreSQL-related install issues.
  * debian/control:
    - Removed the postgresql-client-8.1 install alternative, just depend on
      postgresql-client.
    - Changed the postgresql-client suggest into postgresql (i.e. the server).

 -- Paul van Tilburg <paulvt@debian.org>  Tue, 05 Jun 2012 21:33:20 +0200

owncloud (4.0.1debian-1) unstable; urgency=low

  * New upstream bugfix release.
  * debian/control: replaced suggest on postgresql-server by
    postgresql-client for the owncloud-pgsql package.
  * debian/owncloud-pgsql.README.Debian: updated to not mention admin
    credentials, users won't get them during the postgres install process.
  * debian/patches: 
    - Dropped 04_fix_odfviewer.diff and
      06_add_head_support_for_download.diff; applied by upstream.
    - Updated 05_no_app_store.diff to only check whether the /apps dir is
      writable when the appstore is enabled.
  * debian/rules:
    - Don't install l10n/init.sh.
    - Make sure that /etc/owncloud/htaccess is owned by www-data, as
      ownCloud may update it (for now).

 -- Paul van Tilburg <paulvt@debian.org>  Tue, 05 Jun 2012 00:44:46 +0200

owncloud (4.0.0debian-3) unstable; urgency=low

  * Upload to unstable.

 -- Paul van Tilburg <paulvt@debian.org>  Sun, 03 Jun 2012 17:38:46 +0200

owncloud (4.0.0debian-2) experimental; urgency=low

  [ Paul van Tilburg ]
  * debian/control:
    - Set the team as maintainer.
    - Added a depend on php5-curl; this is needed by the bookmarks app,
      which is an internal app.
  * debian/owncloud.links: added some missing links to vital application
    data from /var/lib/owncloud.

  [ Thomas Mueller ]
  * debian/patches:
    - 06_add_head_support_for_download.diff added to fix the ODF viewer.

 -- Paul van Tilburg <paulvt@debian.org>  Sat, 26 May 2012 23:53:18 +0200

owncloud (4.0.0debian-1) experimental; urgency=low

  [ Thomas Mueller ]
  * New upstream release 4.0.0.
  * debian/postrm: remove /etc/owncloud/config.php.
  * debian/rules: remove fullcalendar.min.js & jquery.Jcrop.min.js; they
    are not used.
  * debian/patches:
    - 04_fix_odfviewer.diff added
    - 05_no_app_store.diff added

  [ Paul van Tilburg ]
  * debian/control:
    - Added owncloud-{mysql,pgsql,sqlite} dependency packages.
    - Added a depend on libphp-phpmailer.
    - Added a depend on php-getid3 (>= 1.9.3-1).
    - Bumped the libjs-jquery depend to >= 1.7.2-1.
    - Dropped the depends on dbconfig-common, debconf, and ucf; not used yet.
    - Added a recommend for exim4 | mail-transport-agent.
  * debian/copyright, debian/rules: updated for new upstream release.
  * debian/owncloud.lintian-overrides: added an override for the backup
    directory permissions.
  * debian/owncloud.postinst: updated to enable Apache's rewrite module.
  * debian/patches:
    - Refreshed patches 01_fix_data_path.diff and 02_fix_crypt.diff for new
      upstream.
    - Dropped patches 03_fix_pear_mdb2_missmatch.diff,
      04_adding_jquery_infieldlabel_js.diff,
      05_adding_jquery_fancyboxbox.diff,
      06_adding_jquery.mousewheel.diff as this is handled upstream now.
    - Added 03_fix_phpmailer.diff to fix the phpmailer require.
  * debian/rules: no longer leave phpmailer and getid3 installed.
  * debian/*.README.Debian: added to explain the database setup and virtual
    host stuff.
  * debian/README.source: added to explain the state of the source and how
    it is processed when installing.
  * debian/config/apache/htaccess: update from upstream .htaccess and rebase
    paths under /owncloud.
  * debian/repack.sh: added to remove unused, sourceless minified
    JavaScript files in 3rdparty/timepicker/css/include.
  * debian/watch: updated to apply repacking.

 -- Paul van Tilburg <paulvt@debian.org>  Thu, 24 May 2012 23:31:51 +0200

owncloud (3.0.3-1) unstable; urgency=low

  [ Thomas Mueller ]
  * debian/watch:
    - URL fixed: as agreed with upstream
  * New upstream release.

  [ Paul van Tilburg ]
  * debian/TODO: moved TODO items to this file.
  * debian/control: add a depend on libjs-jquery-jplayer.
  * debian/copyright:
    - Fixed syntax errors.
    - Added more paragraphs for some upstream files.
  * debian/links:
    - Added links for the files in libjs-jquery-jplayer.
  * debian/owncloud.lintian-overrides: ensure that only non-standard
    permissions warnings are overridden for the specific data dir.
  * debian/rules:
    - Made /var/lib/owncloud/data setgid so that the special permissions
      are preserved
    - Fixed an issue that made all directories under
      /usr/share/owncloud/apps not accessible.
    - Remove license files from /usr/share/owncloud/apps/media.

 -- Paul van Tilburg <paulvt@debian.org>  Thu, 03 May 2012 12:21:29 +0200

owncloud (3.0.2-1) unstable; urgency=low

  [ Paul van Tilburg ]
  * New upstream release.
  * debian/control:
    - Bumped the standards version to 3.9.3.
    - Added myself as an uploader.
    - Updated the homepage URL.
    - Removed the remark about being part of the KDE family since it is
      mainly a web application.
    - Added a depend on dbconfig-common, debconf, and ucf.
    - Modified the depend on apache2 to apache2 | httpd.
    - Added a depend on php-mdb2, php-mdb2-schema, php-mdb2-driver-mysql,
      and php-sabredav.
    - Changed the recommend on mysql-server | php5-sqlite into a depend on
      mysql-client | virtual-mysql-client and an additional suggest on
      mysql-server as we are only going to support mysql for now.
    - Added Vcs-* fields as the package is now maintained in git.
  * debian/copyright:
    - Bumped standard to official Debian Copyright Format 1.0.
    - Updated for upstream changes and added (a lot of) missing paragraphs.
  * debian/owncloud.dirs: no longer create the config directory as it will
     be linked to /etc/owncloud.
  * debian/owncloud.install: install the configuration example to
    /etc/owncloud.
  * debian/owncloud.links: make /var/lib/owncloud/config a link to
    /etc/owncloud and also handle the JavaScript file linking.
  * debian/patches:
    - Refreshed for new upstream.
    - Dropped 04_adding_jquery_infieldlabel_js.diff:  file included in
      upstream now.
  * debian/rules:
    - Updated for new upstream (new and removed files).
    - Cleaned up and reordered a bit.
    - Moved some stuff to owncloud.install and owncloud.links (see above).
    - Moved permission stuff to the override_dh_fixperms section.
    - Removed MDB2 and Sabre from the 3rd party install tree.
  * debian/source/local-options: set the "unapply-patches" option.

  [ Thomas Mueller ]
  * debian/watch:
    - URL fixed: as agreed with upstream
  * debian/postinst: remove download of jplayer.swf
  * debian/rules:
    - remove media app due to issues with jplayer.swf

 -- Paul van Tilburg <paulvt@debian.org>  Tue, 01 May 2012 15:41:19 +0200

owncloud (2.0.1-1) unstable; urgency=low

  * New upstream release
  * debian/watch fixed
  * reliver own htaccess from debian/config/apache/htaccess

 -- Thomas Mueller <thomas.mueller@tmit.eu>  Mon, 21 Nov 2011 22:42:51 +0100

owncloud (2.0.0-1) unstable; urgency=low

  * Initial release (Closes: #648674)
  * remove code which is already available within Debian:
    - 3rdparty/Console
    - 3rdparty/Crypt_Blowfish
    - 3rdparty/PEAR
    - 3rdparty/XML
  * splitt the application to be installed under /var/lib/ and /usr/share/
  * simple apache config file added

 -- Thomas Mueller <thomas.mueller@tmit.eu>  Mon, 14 Nov 2011 00:16:17 +0100
